Bug 657007 - resource alerts history needs to be manually refreshed
resource alerts history needs to be manually refreshed
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
Unspecified Unspecified
high Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq41-ui
  Show dependency treegraph
 
Reported: 2010-11-24 11:58 EST by John Mazzitelli
Modified: 2013-09-02 03:16 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:16:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2010-11-24 11:58:44 EST
Description of problem:

I had an alert defined and I was sure several alerts should have triggered. However, even after traversing away and back again to the alert history subtab, the table showed no rows. Only when I manually pressed the refresh button did the alerts show up in the list.

Version-Release number of selected component (if applicable):

on master as of today

How reproducible:

Traverse to a resource's alert history tab. Make sure that you have an enabled alert and ensure it should be triggering. After you are sure an alert triggered at least once, traverse away from the alert history tab (go to the monitoring tab for example) then go back to the alert history tab. Notice the alert list has not updated or refreshed. Now click the Refresh button and notice you get the new rows of alert history data.

We should ensure when a user traverses back to the alert history page, that the list grid is refreshed. I suspect what is happening is the GWT View component for the alert history is reused but never refreshed when it is redrawn.
Comment 1 Jay Shaughnessy 2011-08-17 15:04:52 EDT
Can't reproduce, the alert history always seems to refresh when it is navigated to.  Must have been fixed along the way...
Comment 2 Mike Foley 2011-08-17 15:34:22 EDT
the specific case of navigating to the alerts history page is verified ... recently fired alerts are displayed (without the need for hitting the refresh button).  the specific case of sitting on the alerts history page ... you do need to hit the refresh button to see newly fired alerts ... but that is what the refresh button is for, and not what this issue is specifically describing.  verified 8/17 master.
Comment 3 Heiko W. Rupp 2013-09-02 03:16:50 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.